Loading...
Searching...
No Matches
seqan3::aligned_allocator< value_t, alignment_v >::rebind< new_value_type > Struct Template Reference

The aligned_allocator member template class aligned_allocator::rebind provides a way to obtain an allocator for a different type. More...

`#include <seqan3/utility/container/aligned_allocator.hpp>`

## Public Types

using | other = aligned_allocator<new_value_type, other_alignment>
| The type of the allocator for a different value type.

## Static Public Attributes

static constexpr size_t | other_alignment = std::max(alignof(new_value_type), alignment)
| The alignment for the rebound allocator.

## Detailed Description

template<typename value_t, size_t alignment_v = __STDCPP_DEFAULT_NEW_ALIGNMENT__>
template<typename new_value_type>
struct seqan3::aligned_allocator< value_t, alignment_v >::rebind< new_value_type >

The aligned_allocator member template class aligned_allocator::rebind provides a way to obtain an allocator for a different type.

Template Parameters

  new_value_type | The other value type.

If the alignment of the new type exceeds the alignment of the current allocator, the larger alignment will be used.

The documentation for this struct was generated from the following file:

- aligned_allocator.hpp

Hide me